<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: src/cli/cli_uart.cpp File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="../../annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../files.html"><span>File&#160;List</span></a></li>
      <li><a href="../../globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('db/d13/cli__uart_8cpp.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">cli_uart.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This file implements the CLI server on the UART service.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;stdarg.h&gt;</code><br />
<code>#include &lt;stdio.h&gt;</code><br />
<code>#include &lt;stdlib.h&gt;</code><br />
<code>#include &lt;string.h&gt;</code><br />
<code>#include &lt;<a class="el" href="../../d3/db5/cli_8hpp_source.html">cli/cli.hpp</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="../../dd/d83/cli-uart_8h_source.html">cli/cli-uart.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="../../dc/d51/cli__uart_8hpp_source.html">cli/cli_uart.hpp</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="../../da/d7b/code__utils_8hpp_source.html">common/code_utils.hpp</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="../../df/d57/encoding_8hpp_source.html">common/encoding.hpp</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="../../df/d09/new_8hpp_source.html">common/new.hpp</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="../../df/d84/tasklet_8hpp_source.html">common/tasklet.hpp</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="../../d5/d77/logging_8h_source.html">platform/logging.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="../../d2/d86/uart_8h_source.html">platform/uart.h</a>&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for cli_uart.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="../../dc/dc2/cli__uart_8cpp__incl.png" border="0" usemap="#src_2cli_2cli__uart_8cpp" alt=""/></div>
<map name="src_2cli_2cli__uart_8cpp" id="src_2cli_2cli__uart_8cpp">
<area shape="rect" id="node6" href="../../d3/db5/cli_8hpp.html" title="This file contains definitions for the CLI interpreter. " alt="" coords="945,79,1021,104"/>
<area shape="rect" id="node16" href="../../da/d7b/code__utils_8hpp.html" title="This file includes macros for validating runtime conditions. " alt="" coords="1732,445,1894,471"/>
<area shape="rect" id="node19" href="../../df/d57/encoding_8hpp.html" title="This file includes definitions for byte&#45;ordering encoding. " alt="" coords="85,525,241,551"/>
<area shape="rect" id="node26" href="../../df/d84/tasklet_8hpp.html" title="This file includes definitions for tasklets and the tasklet scheduler. " alt="" coords="1415,372,1556,397"/>
<area shape="rect" id="node31" href="../../dd/d83/cli-uart_8h.html" title="This file defines the top&#45;level functions for the OpenThread CLI server. " alt="" coords="1100,79,1188,104"/>
<area shape="rect" id="node32" href="../../d5/d77/logging_8h.html" title="This file includes the platform abstraction for the debug log service. " alt="" coords="1162,152,1289,177"/>
<area shape="rect" id="node33" href="../../dc/d51/cli__uart_8hpp.html" title="This file contains definitions for a CLI server on the UART service. " alt="" coords="1348,225,1455,251"/>
<area shape="rect" id="node34" href="../../df/d09/new_8hpp.html" title="This file defines the new operator used by OpenThread. " alt="" coords="145,225,271,251"/>
<area shape="rect" id="node35" href="../../d2/d86/uart_8h.html" title="This file includes the platform abstraction for UART communication. " alt="" coords="1681,525,1788,551"/>
<area shape="rect" id="node7" href="../../da/d45/openthread-config_8h_source.html" title="openthread&#45;config.h" alt="" coords="145,445,285,471"/>
<area shape="rect" id="node8" href="../../d8/d86/cli__server_8hpp.html" title="This file contains definitions for adding a CLI command to the CLI server. " alt="" coords="1068,299,1188,324"/>
<area shape="rect" id="node21" href="../../d0/dba/icmp6_8hpp.html" title="This file includes definitions for ICMPv6. " alt="" coords="746,152,851,177"/>
<area shape="rect" id="node29" href="../../df/d05/timer_8hpp.html" title="This file includes definitions for the multiplexed timer service. " alt="" coords="1263,299,1394,324"/>
<area shape="rect" id="node9" href="../../d5/d8c/message_8hpp.html" title="This file includes definitions for the message buffer pool and message buffers. " alt="" coords="635,372,791,397"/>
<area shape="rect" id="node10" href="../../df/dd8/stdint_8h_source.html" title="stdint.h" alt="" coords="964,679,1028,704"/>
<area shape="rect" id="node11" href="../../dc/dbf/openthread-types_8h.html" title="This file defines the types and structures used in the OpenThread library API. " alt="" coords="1323,605,1459,631"/>
<area shape="rect" id="node14" href="../../df/dcb/openthread-core-config_8h.html" title="This file includes compile&#45;time configuration constants for OpenThread. " alt="" coords="628,445,799,471"/>
<area shape="rect" id="node17" href="../../d1/d97/mac__frame_8hpp.html" title="This file includes definitions for generating and processing IEEE 802.15.4 MAC frames. " alt="" coords="410,445,553,471"/>
<area shape="rect" id="node12" href="../../d9/d5e/stdbool_8h_source.html" title="stdbool.h" alt="" coords="1288,679,1363,704"/>
<area shape="rect" id="node13" href="../../d3/da9/toolchain_8h_source.html" title="platform/toolchain.h" alt="" coords="1387,679,1525,704"/>
<area shape="rect" id="node15" href="../../d7/d08/openthread-core-default-config_8h.html" title="This file includes default compile&#45;time configuration constants for OpenThread. " alt="" coords="556,519,719,557"/>
<area shape="rect" id="node20" href="../../d7/d62/radio_8h.html" title="This file defines the radio interface for OpenThread. " alt="" coords="794,525,908,551"/>
<area shape="rect" id="node22" href="../../db/d51/ip6__headers_8hpp.html" title="This file includes definitions for IPv6 packet processing. " alt="" coords="727,225,870,251"/>
<area shape="rect" id="node24" href="../../dc/d02/ip6__address_8hpp.html" title="This file includes definitions for IPv6 addresses. " alt="" coords="996,445,1138,471"/>
<area shape="rect" id="node25" href="../../d0/d86/netif_8hpp.html" title="This file includes definitions for IPv6 network interfaces. " alt="" coords="751,299,846,324"/>
<area shape="rect" id="node27" href="../../da/dfc/socket_8hpp.html" title="This file includes definitions for IPv6 sockets. " alt="" coords="815,372,923,397"/>
<area shape="rect" id="node28" href="../../dd/d45/openthread_8h.html" title="This file defines the top&#45;level functions for the OpenThread library. " alt="" coords="822,445,922,471"/>
<area shape="rect" id="node30" href="../../d2/d2d/alarm_8h.html" title="This file includes the platform abstraction for the alarm service. " alt="" coords="1185,525,1303,551"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:dd/d1d/namespaceThread_1_1Cli"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d1d/namespaceThread_1_1Cli.html">Thread::Cli</a></td></tr>
<tr class="memdesc:dd/d1d/namespaceThread_1_1Cli"><td class="mdescLeft">&#160;</td><td class="mdescRight">This namespace contains definitions for the CLI interpreter. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a2e7bb03a4252bc03c6716f1b67742726"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2e7bb03a4252bc03c6716f1b67742726"></a>
static&#160;</td><td class="memItemRight" valign="bottom"><b>Thread::Cli::otDEFINE_ALIGNED_VAR</b> (sCliUartRaw, sizeof(Uart), uint64_t)</td></tr>
<tr class="separator:a2e7bb03a4252bc03c6716f1b67742726"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0afc4597583182249dd08ee3b368f55c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d1d/namespaceThread_1_1Cli.html#a0afc4597583182249dd08ee3b368f55c">Thread::Cli::otCliUartInit</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance)</td></tr>
<tr class="memdesc:a0afc4597583182249dd08ee3b368f55c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialize the CLI UART module.  <a href="../../dd/d1d/namespaceThread_1_1Cli.html#a0afc4597583182249dd08ee3b368f55c">More...</a><br /></td></tr>
<tr class="separator:a0afc4597583182249dd08ee3b368f55c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2aec94bad212a6bd72bc82fe310eaca2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/def/group__uart.html#ga2aec94bad212a6bd72bc82fe310eaca2">Thread::Cli::otPlatUartReceived</a> (const uint8_t *aBuf, uint16_t aBufLength)</td></tr>
<tr class="memdesc:ga2aec94bad212a6bd72bc82fe310eaca2"><td class="mdescLeft">&#160;</td><td class="mdescRight">The UART driver calls this method to notify OpenThread that bytes have been received.  <a href="../../db/def/group__uart.html#ga2aec94bad212a6bd72bc82fe310eaca2">More...</a><br /></td></tr>
<tr class="separator:ga2aec94bad212a6bd72bc82fe310eaca2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab2950583380bb90a3779f980c28fbaa0"><td class="memItemLeft" align="right" valign="top">
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/def/group__uart.html#gab2950583380bb90a3779f980c28fbaa0">Thread::Cli::otPlatUartSendDone</a> (void)</td></tr>
<tr class="memdesc:gab2950583380bb90a3779f980c28fbaa0"><td class="mdescLeft">&#160;</td><td class="mdescRight">The UART driver calls this method to notify OpenThread that the requested bytes have been sent. <br /></td></tr>
<tr class="separator:gab2950583380bb90a3779f980c28fbaa0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:ad7343a01a201a6e082094ec4743751fd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad7343a01a201a6e082094ec4743751fd"></a>
static const char&#160;</td><td class="memItemRight" valign="bottom"><b>Thread::Cli::sCommandPrompt</b> [] = {'&gt;', ' '}</td></tr>
<tr class="separator:ad7343a01a201a6e082094ec4743751fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7471b8a5ca72a4be3b5792eef4006dcd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7471b8a5ca72a4be3b5792eef4006dcd"></a>
static const char&#160;</td><td class="memItemRight" valign="bottom"><b>Thread::Cli::sEraseString</b> [] = {'\b', ' ', '\b'}</td></tr>
<tr class="separator:a7471b8a5ca72a4be3b5792eef4006dcd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a38bca1d30af7a74ebc150d7d754e03f8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a38bca1d30af7a74ebc150d7d754e03f8"></a>
static const char&#160;</td><td class="memItemRight" valign="bottom"><b>Thread::Cli::CRNL</b> [] = {'\r', '\n'}</td></tr>
<tr class="separator:a38bca1d30af7a74ebc150d7d754e03f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This file implements the CLI server on the UART service. </p>
</div></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="../../dir_b78fdfbbb632ce54d070469d6a721373.html">cli</a></li><li class="navelem"><a class="el" href="../../db/d13/cli__uart_8cpp.html">cli_uart.cpp</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:34 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
